Considering GNOME 3.12 as an F20 update

Ralf Corsepius rc040203 at freenet.de
Thu Apr 3 16:09:43 UTC 2014


On 04/03/2014 04:20 PM, Matthias Clasen wrote:
> Hey,
>
> so the time has come to consider this - thanks to the great work of
> Richard and Kalev on the copr, we have a set of 3.12 packages that have
> already received fairly wide testing.
>
> But we should be careful, so I want to ask for concrete problem reports
> with the copr packages, besides dependency problems caused by the
> parallel nature of the copr itself.
>
> Did any of your gnome-shell extensions break ?
>
> Did you experience crashes or other serious problems with applications ?
>
> If so, please let us know on the desktop list. If I don't hear of major
> problems by next week, I'll file a Fesco ticket to ask for an exception.
You didn't mention the most important question:

Did the API or ABI change in backward-incompatible way?

If the answer to this question is "yes", then the answer to updating to 
gnome-3.12 needs to be no, because such changes in released versions of 
Fedora are not allowed.

Ralf




More information about the devel mailing list